GET api/Dashboard/SearchSpecimen?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfDashboardSpecimenDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of DashboardSpecimenDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"SpecimentID": "sample string 1",
"OrderID": 2,
"CaseNo": 1,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyName": "sample string 6",
"NoOfEncounter": 1,
"EncounterId": 1,
"CaseCategory": 1,
"Status": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:11.8926924-07:00",
"DateUpdated": "2026-08-04T14:29:11.8926924-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
{
"SpecimentID": "sample string 1",
"OrderID": 2,
"CaseNo": 1,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyName": "sample string 6",
"NoOfEncounter": 1,
"EncounterId": 1,
"CaseCategory": 1,
"Status": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:11.8926924-07:00",
"DateUpdated": "2026-08-04T14:29:11.8926924-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}